From cfe1789ad4b5f0402b0684f1f12c8ba7e26a536a Mon Sep 17 00:00:00 2001
From: beqa <beqaprogger@gmail.com>
Date: Fri, 10 May 2013 10:15:51 +0400
Subject: [PATCH] added a checkbox in welcome dialogue to automatically start
 nvda when logged into windows.

---
 source/gui/__init__.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/source/gui/__init__.py b/source/gui/__init__.py
index 130a0cd..31bdb9c 100644
--- a/source/gui/__init__.py
+++ b/source/gui/__init__.py
@@ -479,6 +479,11 @@ class WelcomeDialog(wx.Dialog):
 		self.showWelcomeDialogAtStartupCheckBox = wx.CheckBox(self, wx.ID_ANY, _("Show this dialog when NVDA starts"))
 		self.showWelcomeDialogAtStartupCheckBox.SetValue(config.conf["general"]["showWelcomeDialogAtStartup"])
 		optionsSizer.Add(self.showWelcomeDialogAtStartupCheckBox,flag=wx.TOP|wx.LEFT,border=10)
+		self.startAfterLogonCheckBox = wx.CheckBox(self, wx.ID_ANY, label=_("&Automatically start NVDA after I log on to Windows"))
+		self.startAfterLogonCheckBox.SetValue(config.getStartAfterLogon())
+		if globalVars.appArgs.secure or not config.isInstalledCopy():
+			self.startAfterLogonCheckBox.Disable()
+		optionsSizer.Add(self.startAfterLogonCheckBox,flag=wx.TOP|wx.LEFT,border=10)
 		mainSizer.Add(optionsSizer,flag=wx.LEFT|wx.TOP|wx.RIGHT,border=20)
 		mainSizer.Add(self.CreateButtonSizer(wx.OK),flag=wx.TOP|wx.BOTTOM|wx.ALIGN_CENTER_HORIZONTAL,border=20)
 		self.Bind(wx.EVT_BUTTON, self.onOk, id=wx.ID_OK)
-- 
1.8.1.msysgit.1

